import { ZodObject } from 'zod';
export declare class OptionalFieldStripperHelper {
    /**
     * Strips empty strings from the input data, converting them to undefined
     * only if the corresponding field is optional in the schema.
     *
     * @param {Record<string, unknown>} data - The input data
     * @returns {Record<string, unknown>} - The cleaned data with empty strings stripped from optional fields
     */
    static stripEmptyStrings(data: Record<string, unknown>, schema: ZodObject<any>): Record<string, unknown>;
}
